<?
require("../clases/curso_info.class.php");
define("DIR_UPLOAD","/home/cavunuco/public_html/cav/recursos");
$obj = new curso_info();
$t = $_REQUEST["text"];
if($t=="R"){
		
		$iddc = $_REQUEST["iddoc_curso"];
		$recurso = $_REQUEST["recurso"];
		/////////////////////para subir el archivo//////////////////////////////
			$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
				$vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
				$vnomfile	= substr($vnomfile,-20);//sustraigo los 20 ulimos caracteres
				$vtamaño	= $_FILES['file']['size'];
				$vtipo		= $_FILES['file']['type'];
				//$vnomfile	= $iddc.$vnomfile;//ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo	
			
				if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado  	
				{
				  if (!((strpos($vtipo, "doc") || strpos($vtipo, "pdf") || strpos($vtipo, "xls")) && ($vtamaño < 2000000))) 
					{ 
				
						echo "<b>Error: el archivo no cumple con las caracterizticas requeridas<b>"; 		
						exit();			
					
					}else{	
							// $imagen_optimizada = redimensionar_imagen($vnomfile,$vtempfile."/".$vnomfile,850,850);	
							// imagejpeg($imagen_optimizada, vtempfile."/".$vnomfile);
							if(is_uploaded_file($vtempfile))
								{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
									 {
										echo "no se puede subir";
										exit;
									}
								}
								else
									{
									echo $_FILES['file']['name'];
									exit;
									}
						}	
			//echo "ha subido";			
				 }else{ $vnomfile = NULL; }	
		/////////////////////////////////////////////////////////////////	
		if($obj->Crear($iddc,$recurso,$vnomfile)){
					echo "<script languaje=javascript>\n"; 
	 				echo "location.href ='../datoscargalectiva.php?dc=$iddc';";					
	 				echo "</script>"; 
							
		}else{
		       echo "no pasa nada";
		     }
}

if($t=="e"){
 $iddoccur = $_REQUEST["iddoccur"];
 $cod = $_REQUEST["id"];
	if($obj->BuscarPorCodigo($cod))
	 {   
		 $archivo = $obj->getArchivo();
		 $ruta = "../recursos/".$archivo;
		 unlink($ruta); 
		 
		 if($obj->Eliminar($cod)){
		   
			   echo "<script languaje=javascript>\n"; 
				echo "location.href ='../datoscargalectiva.php?dc=$iddoccur';";					
				echo "</script>";		
		   }
		   else
		   {
			echo "no pasa nada";
		   }
	   }
}
///////////////////////////////////
	

?>
